## localechooser 2.103

=== Makefile ===
all: check-scripts debian/languagelist.data debian/SUPPORTED-short debian/short-tmp/shortlists debian/templates check-data check-utf8

LIST     = languagelist

debian/languagelist.data: $(LIST)
	LC_COLLATE=C ./mklanguagelist.data $(LIST) debian/languagelist.data

debian/templates.base: debian/localechooser.templates-in debian/iso_3166.tab
	./mktemplates.continents debian/iso_3166.tab regionmap debian/templates.continents
	cat debian/localechooser.templates-in debian/templates.continents >debian/templates.base-in
	./mktemplates.base debian/templates.base-in debian/templates.base

debian/iso-codes:
	./get-iso-codes

debian/iso_3166.tab:
	isoquery -c | cut -f 1,4 | sort >debian/iso_3166.tab
	[ -s debian/iso_3166.tab ]

debian/templates: $(LIST) debian/templates.base debian/short-tmp/shortlists
	./mktemplates.shortlist
	./mktemplates.warnings $(LIST) debian/templates

debian/SUPPORTED-short:
	./get-SUPPORTED

debian/short-tmp/shortlists: debian/iso_3166.tab debian/iso-codes
	./mkshort

check-scripts:
	@set -e ; \
	if [ -x /bin/ash ] ; then SH=ash ; else SH=dash; fi ; \
	for s in finish-install.d/05localechooser post-base-installer.d/05localechooser debian/postinst languagemap localechooser ; do \
		echo "Checking syntax of $$s" ; \
		$$SH -n $$s ; \
	done

check-utf8: $(LIST)
	iconv -f utf-8 -t unicode $(LIST) > /dev/null

check-data:
	# Check that the listed locale is supported, to make sure it will work.
	@for locale in `grep -v "^#" $(LIST) | cut -d\; -f6 | grep _` ; do \
		if grep -q "^$$locale " /usr/share/i18n/SUPPORTED ; then \
			: ; \
		else \
			echo "warning: locale $$locale not listed in /usr/share/i18n/SUPPORTED" ; \
		fi ; \
	done

.PHONY: demo
localechooser.templates: debian/templates
	grep -v '#' $^ > $@
demo: localechooser.templates localechooser
	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./localechooser

clean:
	$(RM) localechooser.templates debian/templates debian/templates.continents debian/templates.base-in debian/templates.base debian/templates.tmp debian/languagelist.data SUPPORTED-short debian/iso_3166.tab
	$(RM) -rf debian/short-tmp debian/iso-codes

=== debian/changelog ===
localechooser (2.103) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Bengali (bn.po) by Indrani Roy
  * Norwegian Nynorsk (nn.po) by Yngve Spjeld-Landro

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 23 May 2023 22:07:12 +0200

=== debian/rules ===
#! /usr/bin/make -f
%:
	# Avoid parallelism triggering reproducibility issues
	dh $@ --no-parallel

PACKAGE=localechooser

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq (,$(findstring $(ARCH), s390 s390x))
MENUITEMNUM=1000
else # run after network-console for s390
MENUITEMNUM=2110
endif

# Avoid locale-specific reproducibility issues
export LC_ALL=C.UTF-8

override_dh_clean:
	rm -rf debian/pobuild debian/iso-codes debian/short-tmp
	rm -rf debian/locales debian/sort-tmp
	dh_clean

override_dh_install:
	dh_install
	grep -v "^#.*" languagelist | cut -d";" -f1,4- \
		>debian/$(PACKAGE)/usr/share/localechooser/languagelist
	chmod 0644 debian/$(PACKAGE)/usr/share/localechooser/languagelist
	gzip -nc debian/languagelist.data \
		>debian/$(PACKAGE)/usr/share/localechooser/languagelist.data.gz
	chmod 0644 debian/$(PACKAGE)/usr/share/localechooser/languagelist.data.gz

override_dh_installdebconf:
	dh_installdebconf
	# Sort countries and continents (including translations)
	# MUST be after dh_installdebconf
	./sort-templates

override_dh_gencontrol:
	dh_gencontrol -- -Vmenuitemnum=$(MENUITEMNUM)

## localechooser 2.105

=== debian/changelog ===
localechooser (2.105) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Hungarian (hu.po) by SZERVÁC Attila
  * Dutch (nl.po) by Frans Spiesschaert

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 May 2024 19:26:28 +0200

localechooser (2.104) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Gujarati (gu.po) by Kartik Mistry
  * Romanian (ro.po) by NicolaeFericitu

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 24 Sep 2023 10:40:47 +0200

## localechooser 2.106

=== debian/changelog ===
localechooser (2.106) unstable; urgency=medium

  * Team upload.

  * Follow locales' transition from /etc/default/locale to /etc/locale.conf.
    Closes: #1076089, #1055353, #1058884.

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Georgian (ka.po) by Temuri Doghonadze

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 08 Oct 2024 22:38:49 +0200

## localechooser 2.107

=== debian/changelog ===
localechooser (2.107) unstable; urgency=medium

  [ Updated translations ]
  * Indonesian (id.po) by Andika Triwidada

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Nov 2024 21:43:26 +0100

## localechooser 2.108

=== debian/changelog ===
localechooser (2.108) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Bengali (bn.po)
  * Persian (fa.po) by peylight
  * Georgian (ka.po) by Temuri Doghonadze
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam
  * Romanian (ro.po) by ThinkRoot

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 30 Nov 2024 08:56:27 +0100

## localechooser 2.109

=== debian/changelog ===
localechooser (2.109) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Persian (fa.po) by Danial Behzadi
  * Hungarian (hu.po) by Szia Tomi
  * Polish (pl.po) by Matthaiks
  * Romanian (ro.po) by Remus-Gabriel Chelu

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 06 Feb 2025 22:00:41 +0100

## localechooser 2.110

=== debian/changelog ===
localechooser (2.110) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Arabic (ar.po) by Amr Walryh
  * Hungarian (hu.po) by Szia Tomi
  * Serbian (sr.po) by Мирослав Николић

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 01 Apr 2025 12:25:28 +0200

## localechooser 2.111

=== debian/changelog ===
localechooser (2.111) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Persian (fa.po)
  * Hungarian (hu.po) by Szia Tomi
  * Kannada (kn.po) by Yogesh
  * Serbian (sr.po)
  * Uyghur (ug.po) by Abduqadir Abliz

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 27 Jun 2025 16:15:04 +0200

## localechooser 2.112

=== debian/changelog ===
localechooser (2.112) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by Santiago Vila
  * Hungarian (hu.po) by Szia Tomi

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Jul 2025 06:33:32 +0200

=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Philip Hands <phil@hands.com>
Build-Depends: debhelper-compat (= 13), locales, intltool-debian, po-debconf, iso-codes, isoquery
Vcs-Browser: https://salsa.debian.org/installer-team/localechooser
Vcs-Git: https://salsa.debian.org/installer-team/localechooser.git
Rules-Requires-Root: no

Package: localechooser
Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb, ${misc:Depends}
XB-Installer-Menu-Item: ${menuitemnum}
Description: choose language/country/locale

## localechooser 2.112trisquel2

=== debian/changelog ===
localechooser (2.112trisquel2) ecne; urgency=medium

  * Added quz_PE and aym_PE locales

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jul 2025 07:35:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: localechooser
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Philip Hands <phil@hands.com>
 Build-Depends: debhelper-compat (= 13), locales, intltool-debian, po-debconf, iso-codes, isoquery
 Vcs-Browser: https://salsa.debian.org/installer-team/localechooser

## localechooser 2.113

=== debian/changelog ===
localechooser (2.113) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Drop dependency on intltool-debian; intltool-merge is no longer used.
    Closes: #1112628.

  [ Updated translations ]
  * Persian (fa.po) by Danial Behzadi
  * Lao (lo.po) by BoneNI
  * Serbian (sr.po) by Саша Петровић

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 26 Dec 2025 23:55:56 +0100

=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Philip Hands <phil@hands.com>
Build-Depends: debhelper-compat (= 13), locales, po-debconf, iso-codes, isoquery
Vcs-Browser: https://salsa.debian.org/installer-team/localechooser
Vcs-Git: https://salsa.debian.org/installer-team/localechooser.git
Rules-Requires-Root: no

Package: localechooser
Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb, ${misc:Depends}
XB-Installer-Menu-Item: ${menuitemnum}
Description: choose language/country/locale
